#ifndef _GHOST_H
#define _GHOST_H

#define PI 3.14159
#define RADIAN(n) (((float)n) / (float)180 * PI)
#define FIXED signed long

void initSprites(void);
void copyOAM(void);
void waitForVsync(void);
void moveSprite(OAMEntry* sp, int x, int y);

u32* OAMmem				= (u32*)0x7000000;
u16* VideoBuffer		= (u16*)0x6000000;
u16* OAMData			= (u16*)0x6010000;
u16* BGPaletteMem 	  	= (u16*)0x5000000;
u16* OBJPaletteMem 	 	= (u16*)0x5000200;

#endif
