#ifndef _KEYS_H
#define _KEYS_H

#define KEY_A 		0x01
#define KEY_B 		0x02
#define KEY_SELECT	0x04
#define KEY_START 	0x06
#define KEY_RIGHT 	0x10
#define KEY_LEFT 	0x20
#define KEY_UP 		0x40
#define KEY_DOWN 	0x80
#define KEY_R		0x100
#define KEY_L 		0x200

volatile u32* KEYS = (volatile u32*)0x04000130;

#define KEY_PRESSED(k) (!(*KEYS & (k)))

#endif