#ifndef _COLORSFX_H
#define _COLORSFX_H

#include "gba.h"

#define MODE_NONE			0x00
#define MODE_BLEND			0x01	
#define MODE_FADE_IN		0x02
#define MODE_FADE_OUT		0x03

#define BLDMOD_TARG1_BG0	0x01	
#define BLDMOD_TARG1_BG1	0x02
#define BLDMOD_TARG1_BG2	0x04	
#define BLDMOD_TARG1_BG3	0x08	
#define BLDMOD_TARG1_OBJ	0x10		
#define BLDMOD_TARG1_BD		0x20

#define BLDMOD_SFX_MODE(n)	((n) << 6)	

#define BLDMOD_TARG2_BG0	0x100	
#define BLDMOD_TARG2_BG1	0x200	
#define BLDMOD_TARG2_BG2	0x400	
#define BLDMOD_TARG2_BG3	0x800	
#define BLDMOD_TARG2_OBJ	0x1000	
#define BLDMOD_TARG2_BD		0x2000

#define SET_COLOR_SFX_MODE(n) REG_BLDMOD |= ((n) << 6)

#define BLEND(a, b) REG_COLEV = (a) | ((b) << 8)
#define FADE(y)		REG_COLEY = (y)

#endif
